/*
* This file was generated by the CommonAPI Generators.
* Used org.genivi.commonapi.core 3.2.0.v202012010850.
* Used org.franca.core 0.13.1.201807231814.
*
* This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
* If a copy of the MPL was not distributed with this file, You can obtain one at
* http://mozilla.org/MPL/2.0/.
*/
#ifndef V1_COMMONAPI_TELUX_CV2X_CV2X_RADIO_MANAGER_HPP_
#define V1_COMMONAPI_TELUX_CV2X_CV2X_RADIO_MANAGER_HPP_



#include <v1/commonapi/telux/cv2x/Cv2xRadioTypes.hpp>

#if !defined (COMMONAPI_INTERNAL_COMPILATION)
#define COMMONAPI_INTERNAL_COMPILATION
#define HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

#include <CommonAPI/Types.hpp>

#if defined (HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE)
#undef COMMONAPI_INTERNAL_COMPILATION
#undef HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

namespace v1 {
namespace commonapi {
namespace telux {
namespace cv2x {

class Cv2xRadioManager
: virtual public ::v1::commonapi::telux::cv2x::Cv2xRadioTypes {
public:
    virtual ~Cv2xRadioManager() { }

    static inline const char* getInterface();
    static inline CommonAPI::Version getInterfaceVersion();
};

const char* Cv2xRadioManager::getInterface() {
    return ("commonapi.telux.cv2x.Cv2xRadioManager:v1_0");
}

CommonAPI::Version Cv2xRadioManager::getInterfaceVersion() {
    return CommonAPI::Version(1, 0);
}


} // namespace cv2x
} // namespace telux
} // namespace commonapi
} // namespace v1

namespace CommonAPI {
}


// Compatibility
namespace v1_0 = v1;

#endif // V1_COMMONAPI_TELUX_CV2X_CV2X_RADIO_MANAGER_HPP_
